Summary: A DHCP (Dynamic Host Configuration Protocol) server and relay agent.
Name: dhcp
Version: 3.0pl2
Release: 4tr
License: distributable
Group: Network/Services
Source0: ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz
Source1: dhcpd.conf.sample
Source2: dhcpd.init
Patch0: dhcp-3.0pl1-buildroot.patch
Obsoletes: dhcpd
BuildRoot: /var/tmp/%{name}-root
PreReq: /sbin/restart_maybe /sbin/chkconfig

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server.  The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcp package includes the DHCP
server and a DHCP relay agent.

You should install dhcp if you want to set up a DHCP server on your
network. You will also need to install the pump package, which provides
the DHCP client daemon, on client machines.

%prep
%setup -q
%patch0 -p1

cp %SOURCE1 .

%build
./configure
make CC="gcc -pipe" DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/sbin/* || :

mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 0755 %SOURCE2 $RPM_BUILD_ROOT/etc/init.d/dhcpd

#Install the example configuration file at the configuration location as well
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/etc/dhcpd.conf

mkdir -p -m 755 $RPM_BUILD_ROOT/var/state/dhcp
touch $RPM_BUILD_ROOT/var/state/dhcp/dhcpd.leases

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
# Restart service after upgrade.
/sbin/restart_maybe dhcpd

%preun
if [ $1 = 0 ]; then	# execute this only if we are NOT doing an upgrade
   #Stop service if it's running
   if [ -f /mnt/lockdev/dhcpd ]; then
       %{_initdir}/dhcpd stop
   fi

   /sbin/chkconfig --del dhcpd 
fi

%files
%defattr(-,root,root)
%doc CHANGES README RELNOTES dhcpd.conf.sample
%dir /var/state/dhcp
%config(noreplace) %verify(not mtime md5 size) /var/state/dhcp/dhcpd.leases
/etc/init.d/dhcpd
%config(noreplace) /etc/dhcpd.conf
/usr/sbin/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_mandir}/man3/*
%{_mandir}/man1/*

%changelog
* Wed Jul  2 2003 Erlend Midttun <erlendbm at trustix dot com> 3.0pl2-4tr
- XPloy could not parse config file -> Removed comment at end of line.

* Mon Jun 30 2003 Erlend Midttun <erlendbm at trustix dot com> 3.0pl2-3tr
- Rebuilt with -tr.

* Sun Jun 29 2003 Janke Rnnblom <janron at trustix dot org> 3.0pl2-3jr
- Missing man pages (man8, man1, man3)

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.0pl2-2tr
- Big rebuild

* Wed Jun  4 2003 Erlend Midttun <erlendbm at trustix dot com> 3.0pl2-1em
- New upstream with fixed buffer overflow.
- Do not try to update DNS by default.

* Tue May 06 2003 Frode Ramsvik <froder at trustix dot com> 3.0pl1-6fr
- Installing the example configuration file as /etc/dhcpd.conf as well.
- Added /var/state/dhcp/dhcpd.leases
- Server is "not authoritative" in configuration file. 
- Stop service when uninstalling.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.0pl1-5em
- Rebuilt against glibc 2.3.2.

* Wed Jan 22 2003 Tor Hveem <torh at trustix dot org> 3.0pl1-4th
- don't install initscript as a config file

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 3.0pl1-3ct
- dhcpd initscript now uses $INITLOCK

* Tue Aug 20 2002 Gerald Dachs <gda at trustix dot org> 3.0pl1-2gd
- changed init script location

* Sun Jul 14 2002 Gerald Dachs <gda at trustix dot org>
- Updated to 3.0pl1

* Tue Sep 12 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.0p5

* Wed Aug 16 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.0p4

* Thu May 5 2000 Per Ivar Paulsen <perp at trustix dot com>
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- gzipped man pages
- marked /etc/rc.d/init.d/dhcp as a config file

* Mon Jan 24 2000 Jakub Jelinek <jakub@redhat.com>
- fix booting of JavaStations
  (reported by Pete Zaitcev <zaitcev@metabyte.com>).
- fix SIGBUS crashes on SPARC (apparently gcc is too clever).

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0b1pl28.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- copy the source file in %prep, not move

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added a sample dhcpd.conf file
- we don't need to dump rfc's in /usr/doc

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- modify dhcpd.init to exit if /etc/dhcpd.conf is not present

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- Upgraded to 2.0b1pl6 (patch1 no longer needed).

* Thu Jun 11 1998 Erik Troan <ewt@redhat.com>
- applied patch from Chris Evans which makes the server a bit more paranoid
  about dhcp requests coming in from the wire

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- updated to dhcp 2.0b1pl1
- got proper man pages in the package

* Tue Mar 31 1998 Erik Troan <ewt@redhat.com>
- updated to build in a buildroot properly
- don't package up the client, as it doens't work very well <sigh>

* Tue Mar 17 1998 Bryan C. Andregg <bandregg@redhat.com>
- Build rooted and corrected file listing.

* Mon Mar 16 1998 Mike Wangsmo <wanger@redhat.com>
- removed the actual inet.d links (chkconfig takes care of this for us)
  and made the %postun section handle upgrades.

* Mon Mar 16 1998 Bryan C. Andregg <bandregg@redhat.com>
- First package.
